# D-OSTS (RHESSI Group Project)
## Overview

This project focuses on modeling the re-entry trajectory of a satellite currently in a deteriorating orbit around Earth. As atmospheric drag significantly influences its path near perigee, the satellite has become uncontrollable. Ground-based radar stations are monitoring its position periodically. The primary objective is to predict the potential impact location of the satellite upon re-entry.

### Project Structure
**Introduction:** Provides background information and the motivation behind the project.

**System Architecture:** Details the design and components of the predictive modeling system.

**Documentation:** Offers comprehensive information on the methodologies and tools used.

**Tutorial:** Guides users through the setup and execution of the predictive models.

### Getting Started
To explore the project's documentation and tutorials, visit the [Documentation](https://rhessi-docs.readthedocs.io/en/latest/).

License
© 2025 Jai Bharaj, Tom Miller, David Dukov, Linan Yang, Kunlin Cai.